gd_eof64(3)

NAME
gd_eof64 — retrieve data from a dirfile database, with largefile support

SYNOPSIS
#define GD_64BIT_API
#include <getdata.h>

gd_off64_t gd_eof64(DIRFILE *dirfile, const char *field_code);

DESCRIPTION
This version of gd_eof(3) uses a 64-bit offset type (gd_off64_t), where one is available, regardless of the size of off_t. It is only available if one defines GD_64BIT_API or _LARGEFILE64_SOURCE before including getdata.h.

If off_t is a 64-bit type (possibly because _FILE_OFFSET_BITS has been defined to 64), this function will the same as gd_eof(3). Otherwise, gd_eof(3) will be a version of this function which uses a 32-bit off_t.

SEE ALSO
gd_eof(3), feature_test_macros(7)